/* ======================================================
   Archive des réalisations
====================================================== */

.post-type-archive-realisation {
    background-color: #F5F5F5;
}



/* ---------- Titre ---------- */

.archive-realisations h1 {
    font-size: clamp(1.5rem, 4vw, 2rem);
    font-weight: 700;
    margin-bottom: 2rem;
    color: #222;
}

/* ---------- Cartes ---------- */

.archive-realisations .wp-block-post {
    transition: transform .3s ease;
}



/* ---------- Images ---------- */

.archive-realisations .wp-block-post-featured-image {
    overflow: hidden;
}

.archive-realisations .wp-block-post-featured-image img {
    width: 100%;
    aspect-ratio: 4 / 3;
    object-fit: cover;

    transition: transform .5s ease;
}

.archive-realisations .wp-block-post:hover .wp-block-post-featured-image img {
    transform: scale(1.05);
}

/* ---------- Titre des cartes ---------- */

.archive-realisations .wp-block-post-title a {
    text-decoration: none;
    font-weight: 600;
    font-size: clamp(0.95rem, 1vw + 0.6rem, 1.15rem);
    line-height: 1.3;
    color: #222;
    transition: color 0.2s;
    margin-bottom: 0.1rem;
}


.archive-realisations .wp-block-post:hover .wp-block-post-title a,
.archive-realisations .wp-block-post-title a:hover {
    color: var(--wp--preset--color--principale-1);
}


.archive-realisations .wp-block-post-template {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

@media (max-width: 1024px) {
    .archive-realisations .wp-block-post-template {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .archive-realisations .wp-block-post-template {
        grid-template-columns: 1fr;
    }
}



/* ---------- Responsive ---------- */

@media (max-width: 768px) {

    .archive-realisations h1 {
        margin-bottom: 2rem;
    }

}